com.icesoft.faces.renderkit.dom_html_basic

## Class PassThruAttributeRenderer

- java.lang.Object
- - com.icesoft.faces.renderkit.dom_html_basic.PassThruAttributeRenderer

-     public class PassThruAttributeRenderer
      extends java.lang.Object

  This class is responsible for the rendering of html pass thru attributes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `booleanPassThruAttributeNames`
    `static java.lang.String[]` | `EMPTY_STRING_ARRAY`
    `static java.lang.String[]` | `passThruAttributeNames`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PassThruAttributeRenderer()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `attributeValueIsSentinel(java.lang.Object value)`
    `static void` | `renderAttributes(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, org.w3c.dom.Element attributeElement, org.w3c.dom.Element styleElement, java.lang.String[] excludedAttributes)` Deprecated.
    `static void` | `renderAttributes(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.String[] excludedAttributes)` Deprecated.
    `static void` | `renderBooleanAttributes(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, org.w3c.dom.Element targetElement, java.lang.String[] excludedAttributes)`
    `static void` | `renderHtmlAttributes(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, org.w3c.dom.Element attributeElement, org.w3c.dom.Element styleElement, java.lang.String[] htmlAttributes)` Render pass thru attributes to the root element of the DOMContext associated with the UIComponent parameter.
    `static void` | `renderHtmlAttributes(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.String[] nonBooleanHtmlAttributes)` Render pass thru attributes to the root element of the DOMContext associated with the UIComponent parameter.
    `static void` | `renderNonBooleanHtmlAttributes(javax.faces.component.UIComponent uiComponent, org.w3c.dom.Element targetElement, java.lang.String[] nonBooleanhtmlAttributes)`
    `static void` | `renderNonBooleanHtmlAttributes(javax.faces.component.UIComponent uiComponent, org.w3c.dom.Element targetElement, java.lang.String[] nonBooleanhtmlAttributes, boolean attribTracking, java.util.List attributesThatAreSet)`
    `static void` | `renderOnBlur(org.w3c.dom.Element root)` Render the icefaces onblur handler to the root element.
    `static void` | `renderOnFocus(javax.faces.component.UIComponent uiComponent, org.w3c.dom.Element root)` Render the icefaces onfocus handler to the root element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_STRING_ARRAY

          public static final java.lang.String[] EMPTY_STRING_ARRAY

    - #### passThruAttributeNames

          public static final java.lang.String[] passThruAttributeNames

    - #### booleanPassThruAttributeNames

          public static final java.lang.String[] booleanPassThruAttributeNames

  - ### Constructor Detail

    - #### PassThruAttributeRenderer

          public PassThruAttributeRenderer()

  - ### Method Detail

    - #### renderAttributes

          public static void renderAttributes(javax.faces.context.FacesContext facesContext,
                                              javax.faces.component.UIComponent uiComponent,
                                              java.lang.String[] excludedAttributes)

      Deprecated.
      Render pass thru attributes to the root element of the DOMContext associated with the UIComponent parameter. The excludedAttributes argument is a String array of the names of attributes to omit. Do not render attributes contained in the excludedAttributes argument.
      Parameters:
        `facesContext` -
        `uiComponent` -
        `excludedAttributes` - attributes to exclude

    - #### renderAttributes

          public static void renderAttributes(javax.faces.context.FacesContext facesContext,
                                              javax.faces.component.UIComponent uiComponent,
                                              org.w3c.dom.Element attributeElement,
                                              org.w3c.dom.Element styleElement,
                                              java.lang.String[] excludedAttributes)

      Deprecated.
      Render pass thru attributes to the attributeElement (instead of root) associated with the UIComponent parameter. The excludedAttributes argument is a String array of the names of attributes to omit. Do not render attributes contained in the excludedAttributes argument.
      Parameters:
        `facesContext` -
        `uiComponent` -
        `attributeElement` -
        `styleElement` - The Element to apply styling on
        `excludedAttributes` - attributes to exclude

    - #### renderOnFocus

          public static void renderOnFocus(javax.faces.component.UIComponent uiComponent,
                                           org.w3c.dom.Element root)

      Render the icefaces onfocus handler to the root element. This should be restricted to input type elements and commandlinks.
      Parameters:
        `uiComponent` -
        `root` -

    - #### renderOnBlur

          public static void renderOnBlur(org.w3c.dom.Element root)

      Render the icefaces onblur handler to the root element. This should be restricted to input type elements and commandlinks.
      Parameters:
        `root` -

    - #### renderBooleanAttributes

          public static void renderBooleanAttributes(javax.faces.context.FacesContext facesContext,
                                                     javax.faces.component.UIComponent uiComponent,
                                                     org.w3c.dom.Element targetElement,
                                                     java.lang.String[] excludedAttributes)

    - #### attributeValueIsSentinel

          public static boolean attributeValueIsSentinel(java.lang.Object value)

    - #### renderHtmlAttributes

          public static void renderHtmlAttributes(javax.faces.context.FacesContext facesContext,
                                                  javax.faces.component.UIComponent uiComponent,
                                                  java.lang.String[] nonBooleanHtmlAttributes)

      Render pass thru attributes to the root element of the DOMContext associated with the UIComponent parameter. The IncludedAttributes argument is a String array of the names of attributes to include.
      Parameters:
        `facesContext` -
        `uiComponent` -
        `nonBooleanHtmlAttributes` -

    - #### renderHtmlAttributes

          public static void renderHtmlAttributes(javax.faces.context.FacesContext facesContext,
                                                  javax.faces.component.UIComponent uiComponent,
                                                  org.w3c.dom.Element attributeElement,
                                                  org.w3c.dom.Element styleElement,
                                                  java.lang.String[] htmlAttributes)

      Render pass thru attributes to the root element of the DOMContext associated with the UIComponent parameter. The IncludedAttributes argument is a String array of the names of attributes to include.
      Parameters:
        `facesContext` -
        `uiComponent` -
        `attributeElement` -
        `styleElement` - The Element to apply styling on
        `htmlAttributes` -

    - #### renderNonBooleanHtmlAttributes

          public static void renderNonBooleanHtmlAttributes(javax.faces.component.UIComponent uiComponent,
                                                            org.w3c.dom.Element targetElement,
                                                            java.lang.String[] nonBooleanhtmlAttributes)

    - #### renderNonBooleanHtmlAttributes

          public static void renderNonBooleanHtmlAttributes(javax.faces.component.UIComponent uiComponent,
                                                            org.w3c.dom.Element targetElement,
                                                            java.lang.String[] nonBooleanhtmlAttributes,
                                                            boolean attribTracking,
                                                            java.util.List attributesThatAreSet)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.